Download it now!
Bug 79542 - FORMCONTROLS: .xls - Option buttons contained in group boxes are not grouped.
Summary: FORMCONTROLS: .xls - Option buttons contained in group boxes are not grouped.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Form-Controls XLS
  Show dependency treegraph
 
Reported: 2014-06-02 11:32 UTC by Marco Borra
Modified: 2019-10-04 03:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (36.50 KB, application/vnd.ms-excel)
2014-06-02 11:32 UTC, Marco Borra
Details
LibreOffice 4.3beta1 Behavoir (Ubuntu 14.04 LTS) (67.88 KB, image/png)
2014-06-02 11:34 UTC, Marco Borra
Details
Microsoft Office 2003 Behavoir (34.74 KB, image/png)
2014-06-02 11:35 UTC, Marco Borra
Details
screenshot from 5.0 (76.76 KB, image/png)
2015-06-10 06:31 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Borra 2014-06-02 11:32:43 UTC
Created attachment 100290 [details]
Sample Document

Option buttons contained in a group box should be grouped.
Option buttons contained in different group boxes must belong to independant groups.
1 - Open sample file with both MS Office and LO. The document contains three groups of option buttons.
2 - In MS Office, the option buttons in each group can be selected independently.
3 - In LO, The selection is mutually exclusive as if they belonged to a single group. When you select one of them the others are deselected. 

Current behavior:
Option buttons must be considered in separated groups if they are contained in distinguished group boxes.

Expected behavior:
All option buttons in the sheet are treated as a single group.

Operating System: All
Version: All from 3.6.x to 4.2.4.2 release.

              
Operating System: All
Version: 4.3.0.0.beta1
Comment 1 Marco Borra 2014-06-02 11:34:26 UTC
Created attachment 100291 [details]
LibreOffice 4.3beta1 Behavoir (Ubuntu 14.04 LTS)
Comment 2 Marco Borra 2014-06-02 11:35:12 UTC
Created attachment 100293 [details]
Microsoft Office 2003 Behavoir
Comment 3 Yousuf Philips (jay) (retired) 2014-06-04 19:04:51 UTC
Confirmed on Windows and Linux Mint on 3.6.7, 4.2.4, and 4.3 beta.
Comment 4 QA Administrators 2015-06-08 14:42:50 UTC Comment hidden (obsolete)
Comment 5 Yousuf Philips (jay) (retired) 2015-06-10 06:31:42 UTC
Created attachment 116434 [details]
screenshot from 5.0

Still doesnt look like the excel output.

Version: 5.1.0.0.alpha1+
Build ID: 587006cac508616f486aea45e265a170bcccdc87
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-06_00:16:39
Comment 6 QA Administrators 2016-09-20 10:01:59 UTC Comment hidden (obsolete, spam)
Comment 7 Justin L 2018-10-03 18:10:10 UTC
XLSX has the same problem. That one should be solved by the patch proposed in bug 111980 comment 8. Since the code is very different, that link probably isn't too helpful, but perhaps it will give some inspiration.
Comment 8 QA Administrators 2019-10-04 03:05:51 UTC
Dear Marco Borra,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug